Name:          tiles20
Version:       2.0.6
Release:       %mkrel 1
Summary:       Apache Tiles
Group:         Development/Java
License:       ASL 2.0
Url:           http://tiles.apache.org/
# svn export http://svn.apache.org/repos/asf/tiles/framework/tags/tiles-2.0.6
# tar czf tiles-2.0.6-src-svn.tar.gz tiles-2.0.6
Source0:       tiles-2.0.6-src-svn.tar.gz
Source1:       tiles-2.0.6-depmap
Patch0:        tiles-2.0.6-parent_pom.patch
Patch1:        tiles-2.0.6-tiles-api_pom.patch
Patch2:        tiles-2.0.6-tiles-core_pom.patch
Patch3:        tiles-2.0.6-tiles-jsp_pom.patch

BuildRequires: jpackage-utils
BuildRequires: java-devel
BuildRequires: tiles-master

BuildRequires: apache-commons-digester
BuildRequires: apache-commons-logging
BuildRequires: apache-portlet-1.0-api
BuildRequires: easymock2

BuildRequires: junit4
BuildRequires: servletapi5
BuildRequires: tomcat5
BuildRequires: tomcat5-jsp-2.0-api

BuildRequires: dtddoc-maven-plugin
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-gpg-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-pmd-plugin
BuildRequires: maven-source-plugin
BuildRequires: umlgraph

# tiles-test
# BuildRequires: freemarker
# BuildRequires: glassfish-jstl
# BuildRequires: jakarta-taglibs-standard
# BuildRequires: maven-antrun-plugin
# BuildRequires: maven-war-plugin
# org.codehaus.cargo cargo-maven2-plugin
# org.codehaus.mojo< dependency-maven-plugin
# org.openqa.selenium.core selenium-core 0.8.2
# com.hostedqa hostedqa-remote-ant 1.6.2

Requires:      tiles-master

Requires:      apache-commons-digester
Requires:      apache-commons-logging
Requires:      apache-portlet-1.0-api
Requires:      easymock2
Requires:      servletapi5
Requires:      tomcat5-jsp-2.0-api

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch
#Provides:      tiles == %{version}

%description
Apache Tiles is a templating framework built to simplify the
development of web application user interfaces. Tiles allows
authors to define page fragments which can be assembled into
a complete page at runtime. These fragments, or tiles, can
be used as simple includes in order to reduce the duplication
of common page elements or embedded within other tiles to
develop a series of reusable templates. These templates
streamline the development of a consistent look and feel
across an entire application. Tiles grew in popularity as a
component of the popular Struts framework. It has since been
extracted from Struts and is now integrated with various
frameworks, such as Struts 2 and Shale. 

%package javadoc
Summary:       API documentation for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains API documentation for %{name}

%prep
%setup -q -n tiles-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0

sed -i "s|<module>tiles-test</module>|<!--module>tiles-test</module-->|" pom.xml

%build
mvn-rpmbuild \
  -e \
  -Dmaven.local.depmap.file=%{SOURCE1} \
  -Dmaven.test.skip=true \
  install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-parent.pom
%add_maven_depmap JPP-%{name}-parent.pom

mkdir -p %{buildroot}%{_javadir}/%{name}
for module in api core jsp; do
  install -pm 644 tiles-${module}/target/tiles-${module}-%{version}.jar \
        %{buildroot}%{_javadir}/%{name}/${module}.jar
  install -pm 644 tiles-${module}/pom.xml \
        %{buildroot}%{_mavenpomdir}/JPP.%{name}-${module}.pom
%add_maven_depmap JPP.%{name}-${module}.pom %{name}/${module}.jar
done

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}/api.jar
%{_javadir}/%{name}/core.jar
%{_javadir}/%{name}/jsp.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt NOTICE.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Fri Nov 25 2011 gil <gil> 2.0.6-1.mga2
+ Revision: 171928
- added more BR
- corrected depmap
- imported package tiles20

